---
lang: en
title: 'API docs: cron.croncomponent.start'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/cron
permalink: /doc/en/lb4/apidocs.cron.croncomponent.start.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/cron](./cron.md) &gt; [CronComponent](./cron.croncomponent.md) &gt; [start](./cron.croncomponent.start.md)

## CronComponent.start() method

**Signature:**

```typescript
start(): Promise<void>;
```
**Returns:**

Promise&lt;void&gt;


